Skip to main content

Get Web Access Control Rules

Retrieve a list of all existing web access controle Rules.

Request

Request-Line

GET /waap/v1.0/pbrStrategy/webAccessControls HTTP/1.1

Response

Response Body

ParameterTypeDescription
ArrayArray of Web Access Controls.

Object: Web Access Control

ParameterTypeDescription
ruleIdIntegerRule ID number for web access control.
nameStringRule name for web access control.
descriptionStringThe description can have 1-200 characters.
pathOperatorStringMatching operator used to evaluate the request path. Supported values: equal, notEqual, contain, notContain, beginsWith, notBeginsWith, endsWith, notEndsWith, regex, notMatchRegex, include, exclude.
pathPatternStringThe path pattern to be matched against the request URI. The interpretation depends on pathOperator. For example, when pathOperator is contain, the rule triggers if the request path contains this value.
keyTypeStringThe request attribute used for matching. Supported values: ip, fingerprint, userAgent, cookieId.
keyValueString[]One or more values used to match against the selected keyType. Multiple values can be provided.
keyRegexBooleanIndicates whether keyValue should be interpreted as a regular expression. This field is only applicable when keyType is fingerprint, userAgent, or cookieId.
devTypeString[]Specifies the device types that the rule applies to. Supported values: pc, mac, mobile. Multiple device types can be selected.
triggeringProbabilityIntegerThe probability (in percentage) that the configured action will be triggered when the request matches the rule. Supported values: 100, 90, 80, 70, 60, 50, 40, 30, 20, 10.
autoListKeyStringThe key type used by Auto-Web ACL to automatically control request access. Supported values: ip, fingerprint.
autoListDurationIntegerThe duration (in seconds) that the key will remain in the Auto-Web ACL once triggered. The valid range is 0 to 600000.
websitesInteger[]List of website IDs the rule applies to.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400ServiceId.InvalidServiceId is empty or invalid.
400AccessControl.OperationFailedThe access control operation failed.
404ServiceId.NotFoundServiceId is not found.

Examples

Get Web Access Control Rules

Request

GET /waap/v1.0/pbrStrategy/webAccessControls HTTP/1.1

Successful Response Body

[
{
"ruleId": 96,
"name": "test111",
"description": "test111",
"pathOperator": "contain",
"pathPattern": "/test",
"keyType": "userAgent",
"keyValue": [
"test111"
],
"keyRegex": false,
"devType": [
"pc",
"mac",
"mobile"
],
"triggeringProbability": 90,
"autoListKey": "fingerprint",
"autoListDuration": 111,
"websites": []
}
]